> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an Alias Account

> Use this endpoint to delete an Account Alias. By default, it performs a soft delete (logical removal). **To permanently delete the record, use the `hard_delete=true` query parameter**.



## OpenAPI

````yaml /en/openapi/v3-current/CRM.yaml delete /v1/holders/{holder_id}/aliases/{alias_id}
openapi: 3.1.0
info:
  title: CRM
  description: >-
    The CRM Integration API is a non-transactional component that provides a set
    of endpoints for managing holders of ledger accounts and their associated
    data. CRM is designed to organize and expose customer data for use by other
    components within the system, facilitating efficient integration and data
    management.
  version: 3.7.1
servers:
  - url: https://crm.sandbox.lerian.net
security: []
tags:
  - name: Holders
paths:
  /v1/holders/{holder_id}/aliases/{alias_id}:
    delete:
      tags:
        - Alias Accounts API
      summary: Delete an Alias Account
      description: >-
        Use this endpoint to delete an Account Alias. By default, it performs a
        soft delete (logical removal). **To permanently delete the record, use
        the `hard_delete=true` query parameter**.
      parameters:
        - name: holder_id
          in: path
          description: Unique identifier of the Holder.
          required: true
          example: ''
          schema:
            type: string
        - name: alias_id
          in: path
          description: Unique identifier of the Alias Account.
          required: true
          example: ''
          schema:
            type: string
        - name: hard_delete
          in: query
          description: >-
            Set to `true` to perform a physical deletion (hard delete) of the
            data. **This action is irreversible.**
          required: false
          schema:
            type: string
        - $ref: '#/components/parameters/Authorization'
        - $ref: '#/components/parameters/XOrganizationId'
      responses:
        '204':
          description: If the request is successful, you'll get an empty response.
          content:
            application/json:
              example: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
              examples:
                Error0005:
                  $ref: '#/components/examples/Error0005'
                Error0016:
                  $ref: '#/components/examples/Error0016'
                Error0022:
                  $ref: '#/components/examples/Error0022'
          headers: {}
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
              examples:
                Error0006:
                  $ref: '#/components/examples/Error0006'
                Error0008:
                  $ref: '#/components/examples/Error0008'
          headers: {}
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
              examples:
                Error0014:
                  $ref: '#/components/examples/Error0014'
          headers: {}
      security: []
components:
  parameters:
    Authorization:
      name: Authorization
      in: header
      description: >-
        The authorization token in the 'Bearer <token>' format.  


        **Important:** This header is required if your environment has Access
        Manager enabled. For more information, refer to the [Access
        Manager](/en/access-manager) documentation.
      required: false
      schema:
        type: string
    XOrganizationId:
      name: X-Organization-id
      in: header
      description: The unique identifier of the Organization associated with the request.
      required: true
      schema:
        type: string
        example: 019c96a0-0a98-7287-9a31-786e0809c769
  schemas:
    ErrorMessage:
      description: The response message error.
      type: object
      properties:
        code:
          type: string
          description: A unique, stable identifier for the error.
        title:
          type: string
          description: A brief summary of the issue.
        message:
          type: string
          description: Detailed guidance for resolving the error.
  examples:
    Error0005:
      value:
        code: CRM-0005
        title: Invalid Path Parameter
        message: >-
          One or more path parameters are in an incorrect format. Please check
          the following parameters %v and ensure they meet the required format
          before trying again.
      summary: Invalid Path Parameter
    Error0016:
      value:
        code: CRM-0016
        title: Invalid Query Parameter
        message: >-
          One or more query parameters are in an incorrect format. Please check
          the following parameters '%v' and ensure they meet the required format
          before trying again.
      summary: Invalid Query Parameter
    Error0022:
      value:
        code: CRM-0022
        title: Invalid Header Value
        message: >-
          One or more headers have invalid values. Please check the following
          headers %v and ensure they contain valid UUIDs before trying again.
      summary: Invalid Header Value
    Error0006:
      value:
        code: CRM-0006
        title: Holder ID Not Found
        message: >-
          The provided holder ID does not exist in our records. Please verify
          the holder ID and try again.
      summary: Holder ID Not Found
    Error0008:
      value:
        code: CRM-0008
        title: Alias ID Not Found
        message: >-
          The provided alias ID does not exist in our records. Please verify the
          account ID and try again.
      summary: Alias ID Not Found
    Error0014:
      value:
        code: CRM-0014
        title: Internal Server Error
        message: >-
          The server encountered an unexpected error. Please try again later or
          contact support.
      summary: Internal Server Error

````